#include "D.h"
#include "sys_fcntl.h"

/*
* Convert a symbolic file mode to the local number.
*/
int FileFlags(sp)
	Str* sp;
{	int  r=0;
	char c=0;
	CP   p;
	CP   q;
	CP   z;
:f	Fenter("FileFlags");
	p = q = sp->p;		/* Current chunk of string */
	z = sp->p + sp->l;	/* Just past end of string */
	while ((q < z) && (c = *q) && (c != ':')) q++;
	p = ++q;			/* Just after the : */
	while (p < z) {		/* Find separator */
:5		V5 "Fld: %s",Dspp(p) V;
		while ((q < z) && (c = *q) && (c != '|') && (c != '+') && (c != ',')) {
			q++;
		}
		if (c) *q = 0;
:3		V3 "Got: %08lX '%s'",r,Dspp(p) V;
		if        (Streq(p,"R"      )) { r |= O_RDONLY;
		} else if (Streq(p,"RD"     )) { r |= O_RDONLY;
		} else if (Streq(p,"W"      )) { r |= O_WRONLY;
		} else if (Streq(p,"WR"     )) { r |= O_WRONLY;
		} else if (Streq(p,"C"      )) { r |= O_CREAT;
		} else if (Streq(p,"A"      )) { r |= O_APPEND;
		} else if (Streq(p,"AP"     )) { r |= O_APPEND;
		} else if (Streq(p,"T"      )) { r |= O_TRUNC;
		} else if (Streq(p,"TR"     )) { r |= O_TRUNC;
		} else if (Streq(p,"TRUNC"  )) { r |= O_TRUNC;
		} else if (Streq(p,"N"      )) { r |= O_NONBLOCK;
		} else if (Streq(p,"NB"     )) { r |= O_NONBLOCK;
		} else if (Streq(p,"X"      )) { r |= O_EXCL;
		} else if (Streq(p,"XC"     )) { r |= O_EXCL;
		} else if (Streq(p,"EXCL"   )) { r |= O_EXCL;
		} else if (Streq(p,"RW"     )) { r |= O_RDWR;
		} else if (Streq(p,"RDONLY" )) { r |= O_RDONLY;
		} else if (Streq(p,"WRONLY" )) { r |= O_WRONLY;
		} else if (Streq(p,"RDWR"   )) { r |= O_RDWR;
		} else {
:2			V2 "Mode %s ignored.",Dspp(p) V;
		}
:3		V3 "Mode %08lX '%s'",r,Dspp(p) V;
		p = ++q;
	}
:3	V3 "Mode %08X",r V;
:f	Fexit;
	return r;
}
