:i	static char d_gettod_sccs_id[] = "%W% %G%";
:1#include "D.h"
/*
* Debug wrapper for the gettimeofday() system call.
*/
time_t
d_gettod(tp, tzp)
	TIMV* tp;
	TIMZ* tzp;
{	int   v;
:7	char* p;
:8	V8 "gettimeofday(%08X,%08X)",tp,tzp V;
	v = gettimeofday(tp,tzp);
:7	if (Vlvl > 6) {
:7		p = ctime(&tp->tv_sec);
:7		p[24] = 0;
:7		V7 "gettimeofday(%08X,%08X)=%u=%s",tp,tzp,tp->tv_sec,p V;
:7	}
	return v;
}

/*
* Calculate the interval from t0 to t1.  We should have t0 <= t1.
* td is filled with the difference.  The return value is the tv_sec
* portion of the difference.
*/
d_timediff(td,t0,t1)
	TIMV* td;
	TIMV* t0;
	TIMV* t1;
{
	td->tv_sec  = t1->tv_sec  - t0->tv_sec;
	td->tv_usec = t1->tv_usec - t0->tv_usec;
	if (td->tv_usec < 0) {
		td->tv_sec  -= 1;
		td->tv_usec += 1000000;
	}
	return td->tv_sec;
}
