#!/bin/sh
BACKUPS=`expr ${BACKUPS-5} - 1`
export BACKUPS
if [ $BACKUPS -lt 1 ];then /bin/rm -f "$1"- exit 1;fi
for f
do	if [ -f $f ];then
		if [ -f $f'-' ];then $0 $f'-';fi
		mv $f $f'-'
	fi
done
exit 0
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
#    Rm file...                                                               #
# Remove files by appending '-' to their names.  This is done recursively, of #
# course, resulting in a series of files with lots of hyphens on their names. #
# See also Bl, Bp, Cp, Ln, Mv, and the misc/Rm.c  program.   This  script  is #
# obsolete; the Rm.c program is much faster. But if you don't have Rm.c, this #
# script will work.  The BACKUPS is needed to prevent infinite recursion when #
# we hit the filename length limit.                                           #
# - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - #
