#ifndef sys_socket_h
/*
* This header file must locate the system's declarations of struct sockaddr
* and related functions such as socket() and select().
*/
#if !defined(sys_socket_h) && defined(AIX)
static char sys_socket_h_id[] = "TNV3";
#include "/usr/include/netinet/in.h"
#include "/usr/include/sys/socket.h"
#define sys_socket_h
#endif

#if !defined(sys_socket_h) && defined(TNV3)
static char sys_socket_h_id[] = "TNV3";
#include "/usr/include/bsd/netinet/in.h"
#include "/usr/include/bsd/sys/socket.h"
#define sys_socket_h
#endif

#if !defined(sys_socket_h) && ( defined(SYS5) || defined(ESIX3))
static char sys_socket_h_id[] = "SYS5/ESIX3";
#include <lan/socket.h>
#include <lan/in.h>
#define sys_socket_h
#endif

#if !defined(sys_socket_h)
static char sys_socket_h_id[] = "default";
#include <netinet/in.h>
#include <sys/socket.h>
#define sys_socket_h
#endif

#endif
