#ifndef local_h
#define local_h

#undef BSD_SOCK	/* Is the BSD-style socket library present? */
#undef HDB_UUCP	/* Honey Danber UUCP? */
#undef STREAMS	/* Sys/V-style streams? */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* All the per-architecture stuff has been moved to this one header file.
* This is a header file for the VAXstation 3100.
* Define or undef the following as appropriate:
*/
#undef	BSD		/* Any BSD */
#undef	BSV43		/* 4.3 BSD */
#undef	ULTRIX		/* [jc 89/12/19] */
#undef	ULTRIX2_2	/* Ultrix 2.2 or 2.0 */
#undef	ULTRIX3_0	/* Ultrix 3.0 */
#undef	SUN3_3PLUS	/* Sun OS 3.3 or greater, but < 4.0 */
#undef	SUN40		/* Sun OS 4.0 */
#undef	SUN386		/* Sun 386i */
#undef	SUN40_386	/* Sun 386i with 4.0 */
#undef	SYS5		/* Any Sys/V [jc 89/12/12] */
#undef	SYS5_2		/* Sys/V Release 2 [jc 90/06/08] */
#undef	SYS5_3		/* Sys/V Release 3 [jc 90/06/08] */
#undef	ESIX		/* Sys/V Release 3 from Everex */
#define	XENIX		/* SCO Xenix sysem */
#undef	HP		/* Hewlett/Packard */
#undef	HP9000		/* Hewlett/Packard 9000 */
#undef	HP9000s300	/* Hewlett/Packard 9000s300 */
#undef	SG		/* Silicon Graphics [jc 89/12/12] */
#undef	SG_IRIS3030	/* Silicon Graphics Iris 3030 [jc 89/12/12] */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*/
#ifndef   FILE
#include <stdio.h>
#endif
#ifndef   OPEN_MAX
#define   OPEN_MAX 20	/* We don't know where this is on Xenix yet */
#endif
#ifndef   V_h
#include "D.h"
#endif
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*/
#define	LITTLENDIAN	/* Byte order 1234, low-order byte first */
#undef	BIGENDIAN	/* Byte order 4321, high-order first */
#undef	MIXEDENDIAN	/* Byte order 2143, on some 16-bit cpus */

#undef SYSLOG		/* BSD systems have the syslog package; others may, too */

#define	NULC (char*)0	/* Generic null pointer (signed) */
#define	NULB (byte*)0	/* Generic null pointer (unsigned) */
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*/
#ifndef MEMUNIT		/* Define memory chunk-size for strng.h as 8 bytes */
#define MEMUNIT(n) ((((n)+7)>>3)<<3)
#endif
#define getime() Vtime()
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
* We need to know where UUCP keeps its lockfiles, and put ours there, too.
*/
#define BNU
#ifdef BNU
#define UUCPLCK "/usr/spool/locks/LCK.."	/* Modern UUCP lockfile prefix */
#else
#define UUCPLCK "/usr/spool/uucp/LCK.."	/* Old-style UUCP lockfile prefix */
#endif
/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
*/
#ifdef SYS5
#define bcopy(x,y,n) strncpy(y,x,n)
#endif

#endif
